Skip to main content
`Ctrl`+`K`

# DMDAInterpolationType

Defines the type of interpolation that will be returned by `DMCreateInterpolation()`.

## Synopsis

    typedef enum {
      DMDA_Q0,
      DMDA_Q1
    } DMDAInterpolationType;

## See Also

DM Basics, `DMDA`, `DMDACreate1d()`, `DMDACreate2d()`, `DMDACreate3d()`, `DMCreateInterpolation()`, `DMDASetInterpolationType()`, `DMDACreate()`

## Level

beginner

## Location

include/petscdmdatypes.h

## Examples

src/ksp/ksp/tutorials/ex32.c
src/ksp/ksp/tutorials/ex34.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages